apiVersion: apps/v1
kind: Deployment
metadata:
  name: java-okd
spec:
  selector:
    matchLabels:
      app: metrics
      department: engineering
  replicas: 1
  template:
    metadata:
      labels:
        app: metrics
        department: engineering
    spec:
      containers:
      - name: okd-java
        image: "registry.gitlab.com/kubernetes5/java-demo-2:latest"
        env:
        - name: "PORT"
          value: "8038"
---
apiVersion: v1
kind: Service
metadata:
  name: okdjava
spec:
  type: NodePort
  selector:
    app: metrics
    department: engineering
  ports:
  - protocol: TCP
    port: 8038
    targetPort: 8038
